Bug 863326 - CLI: "gluster volume set help" command is not listing the option "self-heal-daemon"
CLI: "gluster volume set help" command is not listing the option "self-heal-d...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Krutika Dhananjay
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 02:22 EDT by Rahul Hinduja
Modified: 2012-10-08 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-08 12:55:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Hinduja 2012-10-05 02:22:02 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rahul Hinduja 2012-10-05 02:27:32 EDT
Description of problem:

"gluster volume set help" command is not listing the option "self-heal-daemon"

Version-Release number of selected component (if applicable):

[root@unused ~]# gluster --version 
glusterfs 3.3.0rhs built on Sep 10 2012 00:49:11

(glusterfs-3.3.0rhs-28.el6rhs.x86_64)

How reproducible:

1/1

Steps to Reproduce:
1. gluster volume set help | grep self-heal-daemon
  
Actual results:
[root@unused ~]# gluster volume set help | grep self-heal-daemon
[root@unused ~]# 

Expected results:
It should list the option self-heal-daemon. "gluster volume set help" should contain the information about the usage of the option self-heal-daemon

Additional info:
Comment 3 Krutika Dhananjay 2012-10-08 12:55:42 EDT
That's the expected behavior. We don't intend to reveal some of the options (self-heal-daemon being one of them) to the user.

Note You need to log in before you can comment on or make changes to this bug.